#include "datamanager.h"
#include <QDebug>
DataManager::DataManager(QObject * parent )
{
    init();
};
DataManager::~DataManager()
{

}
 DataManager& DataManager::instance()
{
     static DataManager dataManager;
     return dataManager;

}

void DataManager::init()
{
    initTable();
}
void DataManager::initTable()
{

    /*
        病历管理
           检查号
           类型： 住院或门诊
           姓名
           性别 男女
           出生日期
           年龄
           左右利Laterality  左右
           检查日期  inspection
           其他信息
      */

                QMap<QString, QString> map;
                map.insert("f_CheckNum", "TEXT");
                map.insert("f_Type", "TEXT");
                map.insert("f_Name", "TEXT");
                map.insert("f_Sex", "TEXT");
                map.insert("f_Birthday", "TEXT");
                map.insert("f_Year", "TEXT");
                map.insert("f_Laterality", "TEXT");

    SqlGenerate sqlGener;
    QString sql = sqlGener.createTable("t_RecodManage",map);
    qDebug()<<sql<<endl;
    m_sqlcore.execute(sql);

}
